@import "~bootstrap/scss/functions";
@import "~bootstrap/scss/variables";

$theme-colors: (
  // #6C63FF
  primary: #42b983,
  light: #F7F8F9,
);

@import "~bootstrap/scss/bootstrap.scss";
@import "~bootstrap-vue/dist/bootstrap-vue.css";

// styles
@import "~@/assets/font/roboto/style.css";
@import "~@/assets/font/sst-arabic/style.css";

:root {
  --font-color: #a2b1d1;
  --header-text-color: #353d57;
  --blue-light: #f5f5f5;
}

@import "./helpers/variables";
* {
  letter-spacing: .02em;
}
[dir="ltr"] {
  * {
    font-family: 'Roboto Regular', sans-serif;
  }
}
[dir="rtl"] {
  * {
    font-family: 'SST Arabic', sans-serif;
  }
}
a:hover {
  text-decoration: none!important;
}
a:focus {
  box-shadow: none!important;
}

.title {
  font-weight: bold;
  color: var(--header-text-color)!important;
  text-transform: capitalize;
  border-bottom: solid 1px $borderColor;
  padding-bottom: .75rem;
  margin-bottom: .75rem;
}

.card {
  box-shadow: $shadow;
}
.btn {
  text-transform: capitalize;
  box-shadow: $shadow;
  border-radius: 6px;
  display: flex;
  align-items: center;
  height: 100%;
  &:hover {
    box-shadow: none!important;
  }
}
// --- libs
@import '~animate.css/animate.min.css';
@import '~vue-good-table/src/styles/style.scss';


// --- layout
@import "./layout/breadcrumb";
@import "./layout/drawer";
@import "./layout/navbar";
@import "./layout/content";

// --- components

@import "./components/swal";
@import "./components/breadcrumb";
@import "./components/table";
@import "./components/forms";


// --- pages
@import "./page/auth";
